/** #Colorswatch Styleguide colorswatch */
/** # Color palette

Markup:
<div class="color_palette">
	<ul id="color_liste">
		<li class="color" data-color="#1F377F">
			<span class="swatch" style="background:#1F377F"></span>
			<span class="name">Color 1</span>
		</li>
	</ul>
</div>


Styleguide colorswatch.palette
*/
#popup_colorswatch{
	position:fixed;
	z-index: 9000;
}
#popup_colorswatch:before {
  content: "";
  display: block;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

#popup_colorswatch .colorswatch{
	position: fixed;
  top: 50%;
  left: 50%;
	width: 350px;

  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.colorswatch {
  display: flex;
  flex-wrap: wrap;
  list-style-type: none;
  margin: 0;
  padding: .3em;

  background: white;
  border: 1px solid silver;
  border-radius: 3px;
  box-shadow: 2px 5px 3px rgba(0, 0, 0, 0.2);
  font-family: system-ui;
}
.colorswatch .color {
  flex: 0 0 calc(90% / 4);
  padding: .2em;
  border-bottom: 5px solid transparent;
  transition: border .2s linear;
}
.colorswatch .color:hover,
.colorswatch .color.active {
  cursor: pointer;
  border-color: aqua;
}
.colorswatch .color span {
  display: block;
  width: 100%;
}
.colorswatch .color .swatch {
  height: 50px;
}
.colorswatch .color .name {
  text-align: center;
  padding: .2em 0;
}
